<!-- <breadcrumb title="{{ 'dashboard.~' | translate }}"></breadcrumb> -->
<!-- <div class="row">
  <div class="col-xlg-3 col-lg-6 col-md-6 col-sm-6 col-xs-12">
    <div>
      <div
        class="panel panel-blur animated zoomIn"
        style="background-size: 1359px 764px; background-position: 0px -57px;background-size: cover;">
        <div class="panel-heading clearfix">
          <h3 class="panel-title">{{ "dashboard.title" | translate }}</h3>
        </div>
        <div class="panel-body">
          <h1>
            {{ "dashboard.text" | translate }}
          </h1>
        </div>
      </div>
    </div>
  </div>
</div> -->

<div class="col-md-12 dashboard">
    <div class="row">
      <!-- total videos -->
      <div class="col-xl-3 col-lg-6">
        <div class="card">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-download"></i></div>
              <div class="mb-4">
                <h5 class="card-title mb-0">{{ 'dashboard.report.videos' | translate }}</h5>
              </div>
            <div class="row align-items-center mb-2 d-flex">
              <div class="col-8">
                <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                  {{totalVideos|number:'.0'}}
                </h2>
              </div>
              <!-- <div class="col-4 text-right">
                <span class="text-white">12.5٪ <i class="fa fa-arrow-up"></i></span>
              </div> -->
            </div>
            <!-- <div class="progress mt-1 " data-height="8" style="height: 8px;">
              <div class="progress-bar l-bg-cyan" role="progressbar" data-width="25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%;"></div>
            </div> -->
          </div>
        </div>
      </div>
      <!-- total free videos -->
      <div class="col-xl-3 col-lg-6">
        <div class="card l-bg-blue-dark">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-eye"></i></div>
              <div class="mb-4">
                <h5 class="card-title mb-0">{{ 'dashboard.report.free-videos' | translate }}</h5>
              </div>
            <div class="row align-items-center mb-2 d-flex">
              <div class="col-8">
                <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                  {{totalFreeFilm| number:'.0'}}
                </h2>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- series -->
      <div class="col-xl-3 col-lg-6">
        <div class="card l-bg-blue-dark">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-eye"></i></div>
            <div class="mb-4">
                <h5 class="card-title mb-0">{{ 'dashboard.report.serial' | translate }}</h5>
            </div>
            <div class="row align-items-center mb-2 d-flex">
                <div class="col-8">
                  <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                    {{totalSerial| number:'.0'}}
                  </h2>
                </div>
            </div>
          </div>
        </div>
      </div>
      <!-- total films -->
      <div class="col-xl-3 col-lg-6">
        <div class="card l-bg-green-dark">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-users"></i></div>
            <div class="mb-4">
              <h5 class="card-title mb-0">{{ 'dashboard.report.films' | translate }}</h5>
            </div>
            <div class="row align-items-center mb-2 d-flex">
              <div class="col-8">
                <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                  {{totalFilms| number:'.0'}}
                </h2>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- users -->
      <div class="col-xl-3 col-lg-6">
        <div class="card l-bg-orange-dark">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-film"></i></div>
            <div class="mb-4">
              <h5 class="card-title mb-0">{{ 'dashboard.report.users' | translate }}</h5>
            </div>
            <div class="row align-items-center mb-2 d-flex">
              <div class="col-8">
                  <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                    {{totalUsers|number:'.0'}}
                  </h2>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- actors -->
      <div class="col-xl-3 col-lg-6">
        <div class="card l-bg-blue-dark">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-eye"></i></div>
            <div class="mb-4">
              <h5 class="card-title mb-0">{{ 'dashboard.report.actor' | translate }}</h5>
            </div>
            <div class="row align-items-center mb-2 d-flex">
              <div class="col-8">
                <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                  {{totalActors| number:'.0'}}
                </h2>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- directors -->
      <div class="col-xl-3 col-lg-6">
        <div class="card">
          <div class="card-statistic-3 p-4">
            <div class="card-icon card-icon-large text-white"><i class="fas fa-download"></i></div>
            <div class="mb-4">
              <h5 class="card-title mb-0">{{ 'dashboard.report.director' | translate }}</h5>
            </div>
            <div class="row align-items-center mb-2 d-flex">
              <div class="col-8">
                <h2 class="d-flex align-items-center mb-0 text-white font-weight-bold">
                  {{totalDirectors|number:'.0'}}
                </h2>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row mt justify-content-between">
      <!-- total videos -->
      <!-- <div class="col-lg-6 mb">
        <h2 class="text-center card-light-title card-title py-2 text-white"> {{ 'dashboard.all-videos' | translate }}</h2>
        <div class="row"> -->
          <!-- first col -->
          <!-- <div class="col-lg-6">
            <div class="row">
              <div class="col-lg-12 mb">
                <div class="card">
                  <div class="text-center card-content text-white"> {{ 'dashboard.number-of-videos' | translate }} </div>
                  <div class="text-center card-content card-text text-white"> {{ uploadedCount}} </div>
                </div>
              </div>
              <div class="col-lg-12 mb">
                <div class="card">
                  <div class="text-center card-content text-white"> {{ 'dashboard.video-size' | translate }} </div>
                  <div class="text-center card-content card-text text-white"><span>{{uploadedSize_GB }}</span><span>GB</span></div>
                </div>
              </div>
            </div>
          </div> -->
          <!-- second col -->
          <!-- <div class="col-lg-6">
            <div class="row" style="height: 100%;">
              <div class="col-lg-12 mb">
                <div class="card" style="height: 100%;position: relative;padding-bottom: 5rem;">
                  <div class="text-center card-content text-white"> {{ 'dashboard.duration-of-videos' | translate }} </div>
                  <div class="text-center card-content card-text time text-white pt-4">{{ uploadTime_hour}} {{ 'dashboard.hour' | translate }}
                  </div>
                  <div class="text-center time time-minute">
                    {{ uploadTime_min }} {{ 'dashboard.minutes' | translate }}</div>
                  <div class="text-center time time-second">
                    {{ uploadTime_sec }}
                    {{ 'dashboard.second' | translate }}</div>
                </div>
              </div>
            </div>
          </div> -->
        <!-- </div>
      </div> -->
      <!-- published videos -->
      <!-- <div class="col-lg-6 mb">
        <h2 class="text-center card-light-title card-title py-2 text-white">{{ 'dashboard.published-videos' |translate }}</h2>
        <div class="row">
          <div class="col-lg-6">
            <div class="row">
              <div class="col-lg-12 mb">
                <div class="card">
                  <div class="text-center card-content text-white"> {{ 'dashboard.number-of-videos' | translate }} </div>
                  <div class="text-center card-content text-white card-text"> {{publishedUploadedCount|number:'.0' }} </div>
                </div>
              </div>
              <div class="col-lg-12 mb">
                <div class="card">
                  <div class="text-center card-content text-white"> {{ 'dashboard.video-size' | translate }} </div>
                  <div class="text-center card-content text-white card-text"><span>{{publishedUploadedSize_GB }}</span><span>GB</span></div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-lg-6">
            <div class="row" style="height: 100%;">
              <div class="col-lg-12 mb">
                <div class="card" style="height: 100%;position: relative;padding-bottom: 5rem;">
                  <div class="text-center card-content text-white"> {{ 'dashboard.duration-of-videos' | translate }} </div>
                  <div class="text-center card-content card-text text-white pt-4">{{publishedUploadTime_hour}} {{ 'dashboard.hour' | translate }}
                  </div>
                  <div class="text-center time time-minute">
                    {{ publishedUploadTime_min }} {{ 'dashboard.minutes' | translate }}</div>
                  <div class="text-center time time-second">
                    {{ publishedUploadTime_sec }}
                    {{ 'dashboard.second' | translate }}</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div> -->
    
    </div>
</div>

<!-- <ul class="d-cards">
  <li>
    <a href="#" class="d-card">
      <img src="/static/images/action.jpg" class="d-card__image" alt="action" />
      <div class="d-card__overlay">
        <div class="d-card__header">
          <svg class="d-card__arc" xmlns="http://www.w3.org/2000/svg"><path /></svg>                     
          <div class="d-card__thumb fas fa-film" alt="action"></div>
          <div class="d-card__header-text">
            <h3 class="d-card__title">Action</h3>            
            <span class="d-card__status">560</span>
          </div>
        </div>
        <p class="d-card__description">Lorem ipsum dolor sit amet consectetur adipisicing elit. Asperiores, blanditiis?</p>
      </div>
    </a>      
  </li>
  <li>
    <a href="" class="d-card">
      <img src="/static/images/horror.jpeg" class="d-card__image" alt="" />
      <div class="d-card__overlay">        
        <div class="d-card__header">
          <svg class="d-card__arc" xmlns="http://www.w3.org/2000/svg"><path /></svg>                 
          <div class="d-card__thumb fas fa-film" alt="action"></div>
          <div class="d-card__header-text">
            <h3 class="d-card__title">horror</h3>
            <span class="d-card__status">300</span>
          </div>
        </div>
        <p class="d-card__description">Lorem ipsum dolor sit amet consectetur adipisicing elit. Asperiores, blanditiis?</p>
      </div>
    </a>
  </li>
  <li>
    <a href="" class="d-card">
      <img src="/static/images/drama.jpg" class="d-card__image" alt="" />
      <div class="d-card__overlay">
        <div class="d-card__header">
          <svg class="d-card__arc" xmlns="http://www.w3.org/2000/svg"><path /></svg>                     
          <div class="d-card__thumb fas fa-film" alt="action"></div>
          <div class="d-card__header-text">
            <h3 class="d-card__title">drama</h3>
            <span class="d-card__tagline">Lorem ipsum dolor sit amet consectetur</span>            
            <span class="d-card__status">4500</span>
          </div>
        </div>
        <p class="d-card__description">Lorem ipsum dolor sit amet consectetur adipisicing elit. Asperiores, blanditiis?</p>
      </div>
    </a>
  </li> 
</ul> -->